Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.vcs
Interface VcsProviderConstants

All Known Implementing Classes:
  DefaultVcsProvider

public interface VcsProviderConstants

Defines constants for VcsProvider. CMD_* constants define the commands which can be executed by VcsProvider. FILE_STATUS_* constants define the bitflag collection to descript file status. EXEC_RESULT_* constants define the result of execution of a command.

Author:
  TogetherSoft

Field Summary
`final static String` | `CMD_ADD_FILES`
`final static String` | `CMD_CHECKIN_FILES`
`final static String` | `CMD_CHECKOUT_FILES`
`final static String` | `CMD_GET_FILES`
`final static String` | `CMD_GET_FILES_STATUSES`
`final static String` | `CMD_GET_MISSING_FILES`
`final static String` | `CMD_GET_RAW_FILE_DIFF`
`final static String` | `CMD_LOCK_FILES`
`final static String` | `CMD_REMOVE_FILES`
`final static String` | `CMD_RENAME_FILE`
`final static String` | `CMD_RUN_FRONTEND`
`final static String` | `CMD_SELECT_PROJECT`
`final static String` | `CMD_SET_FILES_LABEL`
`final static String` | `CMD_SHOW_ADVANCED`
`final static String` | `CMD_SHOW_FILE_DIFF`
`final static String` | `CMD_SHOW_FILE_PROPERTIES`
`final static String` | `CMD_SHOW_FILES_HISTORY`
`final static String` | `CMD_UNCHECKOUT_FILES`
`final static String` | `CMD_UNLOCK_FILES`
`final static String` | `CMD_UPDATE_FILES`
`final static int` | `EXEC_RESULT_ERROR`
`final static int` | `EXEC_RESULT_OK`
`final static int` | `FILE_STATUS_CHECKEDIN` File is checked in.
`final static int` | `FILE_STATUS_CHECKEDOUT` File is checked out to current working directory.
`final static int` | `FILE_STATUS_CONFLICT` File has unresolved merge conflict.
`final static int` | `FILE_STATUS_LOCKED` File is locked in repository and cannot be checked out.
`final static int` | `FILE_STATUS_MODIFIED` File is modified locally.
`final static int` | `FILE_STATUS_NEEDS_GET` File is missing locally in current working directory, but present in repository.
`final static int` | `FILE_STATUS_NEEDS_UPDATE` File is modified on server.
`final static int` | `FILE_STATUS_NONE` This is not a bitflag.
`final static int` | `FILE_STATUS_UNKNOWN` This is not a bitflag.
`final static int` | `FILE_TYPE_AUTO`
`final static int` | `FILE_TYPE_BINARY`
`final static int` | `FILE_TYPE_STORE_LATEST`
`final static int` | `FILE_TYPE_TEXT`

Field Detail

### CMD_ADD_FILES

    public final static String CMD_ADD_FILES

### CMD_CHECKIN_FILES

    public final static String CMD_CHECKIN_FILES

### CMD_CHECKOUT_FILES

    public final static String CMD_CHECKOUT_FILES

### CMD_GET_FILES

    public final static String CMD_GET_FILES

### CMD_GET_FILES_STATUSES

    public final static String CMD_GET_FILES_STATUSES

### CMD_GET_MISSING_FILES

    public final static String CMD_GET_MISSING_FILES

### CMD_GET_RAW_FILE_DIFF

    public final static String CMD_GET_RAW_FILE_DIFF

### CMD_LOCK_FILES

    public final static String CMD_LOCK_FILES

### CMD_REMOVE_FILES

    public final static String CMD_REMOVE_FILES

### CMD_RENAME_FILE

    public final static String CMD_RENAME_FILE

### CMD_RUN_FRONTEND

    public final static String CMD_RUN_FRONTEND

### CMD_SELECT_PROJECT

    public final static String CMD_SELECT_PROJECT

### CMD_SET_FILES_LABEL

    public final static String CMD_SET_FILES_LABEL

### CMD_SHOW_ADVANCED

    public final static String CMD_SHOW_ADVANCED

### CMD_SHOW_FILE_DIFF

    public final static String CMD_SHOW_FILE_DIFF

### CMD_SHOW_FILE_PROPERTIES

    public final static String CMD_SHOW_FILE_PROPERTIES

### CMD_SHOW_FILES_HISTORY

    public final static String CMD_SHOW_FILES_HISTORY

### CMD_UNCHECKOUT_FILES

    public final static String CMD_UNCHECKOUT_FILES

### CMD_UNLOCK_FILES

    public final static String CMD_UNLOCK_FILES

### CMD_UPDATE_FILES

    public final static String CMD_UPDATE_FILES

### EXEC_RESULT_ERROR

    public final static int EXEC_RESULT_ERROR

### EXEC_RESULT_OK

    public final static int EXEC_RESULT_OK

### FILE_STATUS_CHECKEDIN

    public final static int FILE_STATUS_CHECKEDIN

  File is checked in.

### FILE_STATUS_CHECKEDOUT

    public final static int FILE_STATUS_CHECKEDOUT

  File is checked out to current working directory.

### FILE_STATUS_CONFLICT

    public final static int FILE_STATUS_CONFLICT

  File has unresolved merge conflict.

### FILE_STATUS_LOCKED

    public final static int FILE_STATUS_LOCKED

  File is locked in repository and cannot be checked out.

### FILE_STATUS_MODIFIED

    public final static int FILE_STATUS_MODIFIED

  File is modified locally.

### FILE_STATUS_NEEDS_GET

    public final static int FILE_STATUS_NEEDS_GET

  File is missing locally in current working directory, but present in repository.

### FILE_STATUS_NEEDS_UPDATE

    public final static int FILE_STATUS_NEEDS_UPDATE

  File is modified on server.

### FILE_STATUS_NONE

    public final static int FILE_STATUS_NONE

  This is not a bitflag. Status "none" is used when VcsProvider doesn't support statuses.

### FILE_STATUS_UNKNOWN

    public final static int FILE_STATUS_UNKNOWN

  This is not a bitflag. File has status "unknown" when it's not under version control.

### FILE_TYPE_AUTO

    public final static int FILE_TYPE_AUTO

### FILE_TYPE_BINARY

    public final static int FILE_TYPE_BINARY

### FILE_TYPE_STORE_LATEST

    public final static int FILE_TYPE_STORE_LATEST

### FILE_TYPE_TEXT

    public final static int FILE_TYPE_TEXT

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD